Skip to main content
GET
/
v5
/
invoicing
/
payments
Get payments
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/payments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "invoiceId": 123,
      "bankAccountId": 123,
      "id": 123,
      "bankTransferId": 123,
      "apiName": "STRIPE",
      "apiPaymentId": "pi_3KX9F5KkMq1CsF5K00DChQgZ",
      "apiAccountNo": "<string>",
      "apiAccountName": "<string>",
      "apiInstitutionId": "<string>",
      "bankDescription": "<string>",
      "grossPaymentAmount": 300,
      "feePaymentAmount": 9,
      "amountApplied": 50.01,
      "paymentSource": "Visa *4747 Charge",
      "date": "2021-01-04",
      "status": "PROCESSED",
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "receiptUrl": "<string>",
      "errorMessage": "<string>",
      "customData": {},
      "v6EntityId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

Query Parameters

invoiceId
integer<int64>

Invoice filter - returns only those payments associated with the given invoice

status
enum<string>[]

Status filter - returns all payments for the specified statuses. Null or empty list will default to PROCESSED, CANCELED, REFUNDED, PENDING, and FAILED.

Available options:
PROCESSED,
CANCELED,
REFUNDED,
PENDING,
FAILED,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate